SocketOutputStream Class Reference

Inherits OutputStream.

## Public Member Functions

| SocketOutputStream (const SocketPtr &socket)
| ~SocketOutputStream ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (ByteBuffer &buf, Pool &p)

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from OutputStream
| OutputStream ()
virtual | ~OutputStream ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Constructor & Destructor Documentation

SocketOutputStream | ( | const SocketPtr & | socket | ) |

~SocketOutputStream | ( |  | ) |

## Member Function Documentation

virtual void close | ( | Pool & | p | ) |

virtual

Implements OutputStream.

virtual void flush | ( | Pool & | p | ) |

virtual

Implements OutputStream.

virtual void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) |  |

virtual

Implements OutputStream.

The documentation for this class was generated from the following file:

- socketoutputstream.h